package nsdb;

public interface EmblSeqWriterOperations
	extends nsdb.EmblSeqOperations
{
	public nsdb.NucFeatureWriter createNucFeature(java.lang.String key, java.lang.String location) throws nsdb.LocationParse,type.IndexOutOfRange,nsdb.InvalidKey,nsdb.ReadOnlyException;
	public void remove(nsdb.NucFeature nuc_feature) throws nsdb.ReadOnlyException;
	public nsdb.NucFeature[] getNucFeaturesInRange(int start_base, int end_base) throws type.NoResult,type.IndexOutOfRange;
	public int getNucFeatureCount();
	public nsdb.NucFeature getFeatureAtIndex(int i) throws type.IndexOutOfRange;
	public int indexOf(nsdb.NucFeature feature);
	public void commit() throws nsdb.CommitFailed;
	public nsdb.Datestamp getDatestamp();
}
